Page MenuHomePhabricator

WDQS sync (?) issue for certain recently created items
Closed, InvalidPublic

Description

I have found the query service to be consistently (*almost* always, over the past several weeks at least) missing some items - an example is Q30252826:

SELECT ?item  WHERE { ?item rdfs:label "Technology Centre"@en . }
SELECT ?item  WHERE { ?item wdt:P856 <http://www.tc.cz/en> . }
SELECT ?item WHERE { ?item wdt:P2427 'grid.17033.36' .}

these occasionally return a correct response with this one item, but usually return nothing - either in the WDQS GUI or via JSON download. There seem to be a handful of missing items - Q30252828 is another. However, Q30252827 is fine:

SELECT ?item  WHERE { ?item rdfs:label "Mediterranean Center for Environmental Studies"@en . }

returns Q30252827 consistently.

It's a little disturbing to have the query service completely missing some of what's in wikidata.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 19 2017, 7:09 PM

Of course, now these examples I gave are working - probably because I updated them recently. However, I found more that are not now, or only partially - for example Q2256713:

SELECT ?item WHERE { ?item wdt:P856 http://www.sikjm.ch/ .}
SELECT ?item WHERE { ?item wdt:P2427 'grid.483048.3' .}

return nothing, but

SELECT ?item WHERE { ?item rdfs:label "Schweizerisches Institut für Kinder- und Jugendmedien"@en .}

returns Q2256713.

Restricted Application added a subscriber: PokestarFan. · View Herald TranscriptJul 21 2017, 3:10 PM
SELECT ?item WHERE { ?item wdt:P856 http://www.sikjm.ch/ .}

is not a valid query. But this is:

SELECT ?item WHERE { ?item wdt:P856 <http://www.sikjm.ch/> .}

And seems to be consistent on all servers. Same with other query. So maybe it's caused just by delays in updating?

Smalyshev closed this task as Invalid.Jul 10 2019, 9:59 PM

Assuming it has been resolved, please reopen if I'm wrong.